#
# spec file for package python-authres
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%define mod_name authres

Name:           python-%{mod_name}
Version:        0.800
Release:        1.1
Url:            https://pypi.python.org/pypi/%{mod_name}/
Summary:        Authentication Results Header Module
License:        Apache-2.0
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/a/%{mod_name}/%{mod_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildArch:      noarch

%description
This module (authres) is designed to provide support for RFC 5451/7001,
originally http://tools.ietf.org/html/rfc5451 and currently
http://tools.ietf.org/html/rfc7001 processing in Python.

It also supports Authentication Results extensions:

RFC 5617 DKIM/ADSP
RFC 6008 DKIM signature identification (header.b)
RFC 6212 Vouch By Reference (VBR)
RFC 6577 Sender Policy Framework (SPF)
draft-kucherawy-dmarc-base DMARC
RFC 7281 Authentication-Results Registration for S/MIME
RFC 7293, The Require-Recipient-Valid-Since Header Field
and SMTP Service Extension, header field types

%prep
%setup -q -n %{mod_name}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
# You may have to add additional files here (documentation and binaries mostly)
%python_sitelib/%{mod_name}*
%doc CHANGES COPYING README

%changelog
* Thu Apr 21 2016 opensuse@dstoecker.de
- created package
